Python/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "[https://www.python.org Python] est un langage de programmation de haut niveau à usage général très utilisé dans les grandes applications pour automatiser certaines tâch...")
(Created page with "Dans FreeCAD, le code Python peut être utilisé pour créer divers éléments par programmation, sans qu'il soit nécessaire de cliquer sur l'interface graphique. De plus, de...")
Line 6: Line 6:
[https://www.python.org Python] est un langage de programmation de haut niveau à usage général très utilisé dans les grandes applications pour automatiser certaines tâches en créant des scripts ou des [[macros/fr|macros]].
[https://www.python.org Python] est un langage de programmation de haut niveau à usage général très utilisé dans les grandes applications pour automatiser certaines tâches en créant des scripts ou des [[macros/fr|macros]].


In FreeCAD, Python code can be used to create various elements programmatically, without needing to click on the graphical user interface. Additionally, many tools and workbenches of FreeCAD are programmed in Python.
Dans FreeCAD, le code Python peut être utilisé pour créer divers éléments par programmation, sans qu'il soit nécessaire de cliquer sur l'interface graphique. De plus, de nombreux outils et ateliers de FreeCAD sont programmés en Python.


See [[Introduction to Python]] to learn about the Python programming language, and then [[Python scripting tutorial]] and [[FreeCAD Scripting Basics]] to start scripting in FreeCAD.
See [[Introduction to Python]] to learn about the Python programming language, and then [[Python scripting tutorial]] and [[FreeCAD Scripting Basics]] to start scripting in FreeCAD.

Revision as of 09:34, 1 March 2019

(Novembre 2018) FreeCAD a été conçu à l'origine pour fonctionner avec Python 2. De nombreuses fonctionnalités fonctionnent avec Python 3, mais d'autres non. Rendre FreeCAD totalement compatible avec Python 3 est un travail en cours.

Description

Python est un langage de programmation de haut niveau à usage général très utilisé dans les grandes applications pour automatiser certaines tâches en créant des scripts ou des macros.

Dans FreeCAD, le code Python peut être utilisé pour créer divers éléments par programmation, sans qu'il soit nécessaire de cliquer sur l'interface graphique. De plus, de nombreux outils et ateliers de FreeCAD sont programmés en Python.

See Introduction to Python to learn about the Python programming language, and then Python scripting tutorial and FreeCAD Scripting Basics to start scripting in FreeCAD.

When writing Python code, it's advisable to follow PEP8: Style Guide for Python Code.

Conventions

In this documentation, some conventions for Python examples should be followed.

This is a typical function signature

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
  • Arguments with key-value pairs are optional, with the default value indicated in the signature. This means that the following calls are equivalent:
Wire = makeWire(pointslist, False, None, None, None)
Wire = makeWire(pointslist, False, None, None)
Wire = makeWire(pointslist, False, None)
Wire = makeWire(pointslist, False)
Wire = makeWire(pointslist)
In this example the first argument doesn't have a default value so it should always be included.
  • When the arguments are given with the explicit key, the optional arguments can be given in any order. This means that the following calls are equivalent:
Wire = makeWire(pointslist, closed=False, placement=None, face=None)
Wire = makeWire(pointslist, closed=False, face=None, placement=None)
Wire = makeWire(pointslist, placement=None, closed=False, face=None)
Wire = makeWire(pointslist, support=None, closed=False, placement=None, face=None)
  • Python's guidelines stress readability of code; in particular, parentheses should immediately follow the function name, and a space should follow a comma.
p1 = Vector(0, 0, 0)
p2 = Vector(1, 1, 0)
p3 = Vector(2, 0, 0)
Wire = makeWire([p1, p2, p3], closed=True)
  • If code needs to be broken over several lines, this should be done at a comma inside brackets or parentheses; the second line should be aligned with the previous one.
a_list = [1, 2, 3,
          2, 4, 5]

Wire = makeWire(pointslist,
                False, None,
                None, None)
  • Functions may return an object that can be used as the base of another drawing function.
Wire = makeWire(pointslist, closed=True, face=True)
Window = makeWindow(Wire, name="Big window")

Imports

Python functions are stored in files called modules. Before using any function in that module, the module must be included in the document with the import instruction.

This creates prefixed functions, that is, module.function(). This system prevents name clashes with functions that are named the same but that come from different modules. For example, the two functions Arch.makeWindow() and myModule.makeWindow() may coexist without problem.

Full examples should include the necessary imports and the prefixed functions.

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 1, 0)
p3 = FreeCAD.Vector(2, 0, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 0, 0)
p3 = FreeCAD.Vector(1, 1, 0)
p4 = FreeCAD.Vector(0, 2, 0)
pointslist = [p1, p2, p3, p4]

Wire = Draft.makeWire(pointslist, closed=True, face=True)
Structure = Arch.makeStructure(Wire, name="Big pillar")